#!/bin/bash
# Script to backup phablet manually to a file
#
# Assumptions:-
# * Device already running some build of Ubuntu Touch and is connected via USB
#
# (c) 2013 Canonical - Alan Pope alan.pope@canonical.com

UBUNTU_ROOT="/data/ubuntu"
BACKUP_LOCATION="$HOME/Downloads"
DATESTAMP=`date +%Y%m%d`-`date +%H%M%S`

function adb_root {
  echo ":: Run adb root"
  adb root
  if [ $? -ne "0" ]; then
    echo ":: adb root failed"
    exit 1
  fi
}

function pause {
    echo ":: Wait $1"
    sleep $1
}


adb_root

pause 5

echo ":: Build script to do backup"
TMP_FILE=$(mktemp)
cat > $TMP_FILE << 'EOF'
#!/bin/bash
/bin/tar zcvf /home/phablet.tgz --exclude=/home/phablet/Pictures/* --exclude=/home/phablet/Videos/* /home/phablet
EOF

echo ":: Run backup"
adb push $TMP_FILE $UBUNTU_ROOT/$TMP_FILE
adb shell chmod 755 $UBUNTU_ROOT/$TMP_FILE
adb shell chroot $UBUNTU_ROOT $UBUNTU_ROOT/$TMP_FILE

echo ":: Download backup to this computer"
adb pull $UBUNTU_ROOT/home/phablet.tgz $BACKUP_LOCATION/phablet.tgz
mv $BACKUP_LOCATION/phablet.tgz $BACKUP_LOCATION/$DATESTAMP-phablet.tgz
ls -l $BACKUP_LOCATION/$DATESTAMP-phablet.tgz
file $BACKUP_LOCATION/$DATESTAMP-phablet.tgz

echo ":: Delete backup file from device"
adb shell rm -r $UBUNTU_ROOT/home/phablet.tgz


